#+FILETAGS: @personal
:PROPERTIES:
:ID:       00566976-f43e-41d6-9536-9f7bf15e7117
:CREATED:  [2019-02-28 Thu 02:32]
:MODIFIED: [2019-02-28 Thu 02:32]
:IMPORTED: [2023-02-08 Wed 19:22]
:END:
#+title: Immigration lawyer

* Immigration lawyer

Heidi L. Snyder
Partner
RSST Law Group
50 Congress Street, Suite 200
Boston, MA 02109
Main Phone: (617) 542-5111
Fax: (617) 542-2331
www.rsstlawgroup.com

PLEASE NOTE: Effective May 16, 2016, our firm is now known as Ross Silverman Snyder Tietjen LLP, the RSST Law Group, and our web address is www.rsstlawgroup.com. My email address has changed to hsnyder@rsstlawgroup.com. Please update your address book accordingly. Thank you

